
DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 5000
SET @NewSecretTypeName = 'Bank Account'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN

	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, 'F2496335-F1B7-4933-8EE4-129009126F38'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[IsNotes]
		,[ConcurrencyID]
		)
		--      SecretFieldName       , SecretFieldDisplayName  , SortOrder, SecretTypeID    , Required, DataType, MustEncrypt, IsPassword, IsNotes, ConcurrencyID
		SELECT  'BankAccountNumber'   , 'Bank Account Number'   , 1        , @NewSecretTypeId, 1       , 'string', 0          , 0         , 0      , '7674279E-A742-4458-A903-798CAF013ACC' UNION
		SELECT  'TransitRoutingNumber', 'Transit Routing Number', 2        , @NewSecretTypeId, 1       , 'string', 0          , 0         , 0      , '68819737-272C-4709-9923-250CA1CB95FF' UNION
		SELECT  'NameOfBank'          , 'Name Of Bank'          , 3        , @NewSecretTypeId, 0       , 'string', 1          , 0         , 0      , 'D4802E9A-E351-43a8-93A3-CD9F29270CC8' UNION
		SELECT  'Address1'            , 'Address 1'             , 4        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , 'CEE3161C-FBB5-4cb5-8871-1139AB739379' UNION
		SELECT  'Address2'            , 'Address 2'             , 5        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , '6EDDFF08-568E-4a8e-AA9E-85616EDB2B35' UNION
		SELECT  'Address3'            , 'Address 3'             , 6        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , '7A3001F7-A7A4-4212-BBDE-D8E440117B0F' UNION
		SELECT  'ContactPerson'       , 'Contact Person'        , 7        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , '06254D26-EC82-406b-B717-B48AA4AD5CFC' UNION
		SELECT  'ContactPhone'        , 'Contact Phone'         , 8        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , 'F866E427-0A74-45b7-ADFE-E99E96454840' UNION
		SELECT  'Notes'               , 'Notes'                 , 9        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 1      , 'C710EDC6-35C7-443e-AA55-5C2F956E0395'
	
END


	












	
	
	